Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2029959 - /usr/lib/rpm/brp-python-hardlink: No such file or directory
Summary: /usr/lib/rpm/brp-python-hardlink: No such file or directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scl-utils
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-07 16:29 UTC by Michal Nowak
Modified: 2023-06-02 14:28 UTC (History)
5 users (show)

Fixed In Version: scl-utils-2.0.2-23.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-02 14:28:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
[PATCH] Update brp-python-hardlink path (deleted)
2021-12-07 17:16 UTC, Michal Nowak
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Github sclorg scl-utils issues 42 0 None open /usr/lib/rpm/brp-python-hardlink: No such file or directory 2022-06-20 14:29:22 UTC

Description Michal Nowak 2021-12-07 16:29:08 UTC
Description of problem:

Building RPM in Fedora 35 mock which uses SCL fails (https://download.copr.fedorainfracloud.org/results/mnohime/bind-dev/fedora-35-x86_64/02999366-isc-bind/builder-live.log.gz) with:

+ /usr/bin/find-debuginfo -j2 --strict-build-id -m -i --build-id-seed 2-3.fc35 --unique-debug-suffix -2-3.fc35.x86_64 --unique-debug-src-base isc-bind-2-3.fc35.x86_64 --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 110000000 /builddir/build/BUILD/isc-bind-2
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/brp-scl-compress /opt/isc/isc-bind/root
+ /usr/lib/rpm/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-scl-python-bytecompile /usr/bin/python3 1 /opt/isc/isc-bind/root
+ /usr/lib/rpm/brp-python-hardlink
/var/tmp/rpm-tmp.VsVGRP: line 312: /usr/lib/rpm/brp-python-hardlink: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.VsVGRP (%install)
    Bad exit status from /var/tmp/rpm-tmp.VsVGRP (%install)

Looking at my local Fedora 35, it seems that the file is now at slightly different path: /usr/lib/rpm/redhat/brp-python-hardlink.

See https://github.com/sclorg/scl-utils/blob/85b8693d390f08fd62840394dac6c7601555ad1a/rpm/macros.scl#L94

I also filed it upstream as https://github.com/sclorg/scl-utils/issues/42.

Comment 1 Michal Nowak 2021-12-07 17:16:44 UTC
Created attachment 1845106 [details]
[PATCH] Update brp-python-hardlink path

https://github.com/sclorg/scl-utils/pull/43

Comment 2 Ben Cotton 2022-02-08 21:22:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 3 Michal Nowak 2022-06-20 14:29:23 UTC
Ping?

Comment 4 Ben Cotton 2023-04-25 16:46:33 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 5 Michal Nowak 2023-04-26 08:59:57 UTC
There's a PR, which addresses this issue: https://src.fedoraproject.org/rpms/scl-utils/pull-request/5.

Comment 6 Ludek Smid 2023-05-25 18:26:05 UTC
Fedora Linux 36 entered end-of-life (EOL) status on 2023-05-16.

Fedora Linux 36 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Fedora Update System 2023-06-02 14:25:22 UTC
FEDORA-2023-27c2288fb8 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-27c2288fb8

Comment 8 Fedora Update System 2023-06-02 14:28:28 UTC
FEDORA-2023-27c2288fb8 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.